Debian Bug report logs - #569770
gupnp: needs versioned build-dep on docbook-xsl

version graph

Package: gupnp; Maintainer for gupnp is Ross Burton <ross@debian.org>;

Reported by: Andres Salomon <dilinger@queued.net>

Date: Sun, 14 Feb 2010 06:39:01 UTC

Severity: serious

Found in version 0.13.2-1

Fixed in version gupnp/0.13.2-1.1

Done: Andrew Lee (李健秋) <ajqlee@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#569770; Package gupnp. (Sun, 14 Feb 2010 06:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andres Salomon <dilinger@queued.net>:
New Bug report received and forwarded. Copy sent to Ross Burton <ross@debian.org>. (Sun, 14 Feb 2010 06:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andres Salomon <dilinger@queued.net>
To: submit@bugs.debian.org
Subject: gupnp: needs versioned build-dep on docbook-xsl
Date: Sun, 14 Feb 2010 01:36:35 -0500
Package: gupnp
Version: 0.13.2-1
Severity: serious

Hi,

While attempting to build gupnp against xsltproc 1.1.24-2 and
docbook-xsl 1.73.2.dfsg.1-5, the following build error occurs:


make[1]: Leaving directory `/gupnp-0.13.2'
touch debian/stamp-makefile-build
DEB_MAKE_CHECK_TARGET unset, not running checks
xsltproc --novalid --nonet --xinclude -o debian/stripped-docs.xml debian/strip-manpages.xsl doc/gupnp-docs.xml
I/O error : Attempt to load network entity http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd
doc/overview.xml:2: warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd"
D DocBook XML V4.2//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd"
                                                                               ^
warning: failed to load external entity "doc/xml/client-tutorial.xml"
doc/gupnp-docs.xml:42: element include: XInclude error : could not load doc/xml/client-tutorial.xml, and no fallback was found
warning: failed to load external entity "doc/xml/server-tutorial.xml"
doc/gupnp-docs.xml:43: element include: XInclude error : could not load doc/xml/server-tutorial.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-device-info.xml"
doc/gupnp-docs.xml:52: element include: XInclude error : could not load doc/xml/gupnp-device-info.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-service-info.xml"
doc/gupnp-docs.xml:53: element include: XInclude error : could not load doc/xml/gupnp-service-info.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-service-introspection.xml"
doc/gupnp-docs.xml:54: element include: XInclude error : could not load doc/xml/gupnp-service-introspection.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-control-point.xml"
doc/gupnp-docs.xml:60: element include: XInclude error : could not load doc/xml/gupnp-control-point.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-device-proxy.xml"
doc/gupnp-docs.xml:61: element include: XInclude error : could not load doc/xml/gupnp-device-proxy.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-service-proxy.xml"
doc/gupnp-docs.xml:62: element include: XInclude error : could not load doc/xml/gupnp-service-proxy.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-device.xml"
doc/gupnp-docs.xml:68: element include: XInclude error : could not load doc/xml/gupnp-device.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-root-device.xml"
doc/gupnp-docs.xml:69: element include: XInclude error : could not load doc/xml/gupnp-root-device.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-service.xml"
doc/gupnp-docs.xml:70: element include: XInclude error : could not load doc/xml/gupnp-service.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-context.xml"
doc/gupnp-docs.xml:76: element include: XInclude error : could not load doc/xml/gupnp-context.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-context-manager.xml"
doc/gupnp-docs.xml:77: element include: XInclude error : could not load doc/xml/gupnp-context-manager.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-resource-factory.xml"
doc/gupnp-docs.xml:78: element include: XInclude error : could not load doc/xml/gupnp-resource-factory.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-xml-doc.xml"
doc/gupnp-docs.xml:79: element include: XInclude error : could not load doc/xml/gupnp-xml-doc.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-error.xml"
doc/gupnp-docs.xml:80: element include: XInclude error : could not load doc/xml/gupnp-error.xml, and no fallback was found
warning: failed to load external entity "doc/xml/gupnp-types.xml"
doc/gupnp-docs.xml:81: element include: XInclude error : could not load doc/xml/gupnp-types.xml, and no fallback was found
I/O error : Attempt to load network entity http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd
doc/gupnp-binding-tool.xml:2: warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd"
cBook XML V4.1.2//EN" "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd"
                                                                               ^
I/O error : Attempt to load network entity http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd
doc/glossary.xml:2: warning: failed to load external entity "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd"
D DocBook XML V4.2//EN" "http://www.oasis-open.org/docbook/xml/4.4/docbookx.dtd"
                                                                               ^
xsltproc --novalid --nonet /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl debian/stripped-docs.xml
warning: failed to load external entity "/usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl"
cannot parse /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl
make: *** [build/libgupnp-1.0-dev] Error 4
dpkg-buildpackage: failure: debian/rules build gave error exit status 2


Upgrading docbook-xsl to 1.75.2+dfsg-5 fixes the problem.  Thus, it
would appear that there should be a versioned build-dep on
docbook-xsl.




Information forwarded to debian-bugs-dist@lists.debian.org, Ross Burton <ross@debian.org>:
Bug#569770; Package gupnp. (Sun, 14 Mar 2010 07:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <ajqlee@debian.org>:
Extra info received and forwarded to list. Copy sent to Ross Burton <ross@debian.org>. (Sun, 14 Mar 2010 07:45:09 GMT) Full text and rfc822 format available.

Message #10 received at 569770@bugs.debian.org (full text, mbox):

From: Andrew Lee <ajqlee@debian.org>
To: 569770@bugs.debian.org
Subject: Re: gupnp: needs versioned build-dep on docbook-xsl
Date: Sun, 14 Mar 2010 14:39:05 +0700
This is very simple fix bug open for one month. I'd do a NMU to fix this.

Hello from the 2010 Thai BSP:
http://wiki.debian.org/DebianThailand/MiniDebCamp2010/BSP

Cheers,

-Andrew





Reply sent to Andrew Lee (李健秋) <ajqlee@debian.org>:
You have taken responsibility. (Tue, 16 Mar 2010 09:39:06 GMT) Full text and rfc822 format available.

Notification sent to Andres Salomon <dilinger@queued.net>:
Bug acknowledged by developer. (Tue, 16 Mar 2010 09:39:07 GMT) Full text and rfc822 format available.

Message #15 received at 569770-close@bugs.debian.org (full text, mbox):

From: Andrew Lee (李健秋) <ajqlee@debian.org>
To: 569770-close@bugs.debian.org
Subject: Bug#569770: fixed in gupnp 0.13.2-1.1
Date: Tue, 16 Mar 2010 09:35:15 +0000
Source: gupnp
Source-Version: 0.13.2-1.1

We believe that the bug you reported is fixed in the latest version of
gupnp, which is due to be installed in the Debian FTP archive:

gupnp_0.13.2-1.1.diff.gz
  to main/g/gupnp/gupnp_0.13.2-1.1.diff.gz
gupnp_0.13.2-1.1.dsc
  to main/g/gupnp/gupnp_0.13.2-1.1.dsc
libgupnp-1.0-3_0.13.2-1.1_i386.deb
  to main/g/gupnp/libgupnp-1.0-3_0.13.2-1.1_i386.deb
libgupnp-1.0-dbg_0.13.2-1.1_i386.deb
  to main/g/gupnp/libgupnp-1.0-dbg_0.13.2-1.1_i386.deb
libgupnp-1.0-dev_0.13.2-1.1_i386.deb
  to main/g/gupnp/libgupnp-1.0-dev_0.13.2-1.1_i386.deb
libgupnp-doc_0.13.2-1.1_all.deb
  to main/g/gupnp/libgupnp-doc_0.13.2-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 569770@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Lee (李健秋) <ajqlee@debian.org> (supplier of updated gupnp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Mar 2010 14:37:08 +0700
Source: gupnp
Binary: libgupnp-1.0-3 libgupnp-1.0-dev libgupnp-1.0-dbg libgupnp-doc
Architecture: source all i386
Version: 0.13.2-1.1
Distribution: unstable
Urgency: low
Maintainer: Ross Burton <ross@debian.org>
Changed-By: Andrew Lee (李健秋) <ajqlee@debian.org>
Description: 
 libgupnp-1.0-3 - GObject-based library for UPnP
 libgupnp-1.0-dbg - GObject-based library for UPnP (debug symbols)
 libgupnp-1.0-dev - GObject-based library for UPnP (development files)
 libgupnp-doc - GObject-based library for UPnP (documentation)
Closes: 569770
Changes: 
 gupnp (0.13.2-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
     Hello from from Thailand Mini-DebCamp 2010 BSP
   * Added versioned build-dep on docbook-xsl (Closes:#569770)
Checksums-Sha1: 
 551fb9ae06fee9c586813449d17dee579dc4820e 1176 gupnp_0.13.2-1.1.dsc
 2b65dc2f71494e8b6022c0e5482c09cbe2ecd880 3219 gupnp_0.13.2-1.1.diff.gz
 9a28c39feb85eb8e6f9355e6f54a12b8959157e8 94882 libgupnp-doc_0.13.2-1.1_all.deb
 e03c7d53b7090aaca050fd76013ce3c227375a2e 77036 libgupnp-1.0-3_0.13.2-1.1_i386.deb
 a04060bf0572c3d1cdc492581bbc907b939901c6 110520 libgupnp-1.0-dev_0.13.2-1.1_i386.deb
 00b86ce8771669c18654c1266905da099ecda1c3 153910 libgupnp-1.0-dbg_0.13.2-1.1_i386.deb
Checksums-Sha256: 
 0f8721d3f8dba7998132b711bbc6a71dd8fb77860f3d1025d287bad497eba679 1176 gupnp_0.13.2-1.1.dsc
 66116b45aaa46fed6ff6f7cd1f982ba8d674ea0a7979cce12eee6e16e415f493 3219 gupnp_0.13.2-1.1.diff.gz
 cd3e6d70c9f5944660a266c5c94a649aeba8637c547b9921822c6f273564b9d5 94882 libgupnp-doc_0.13.2-1.1_all.deb
 7631cdc08378f60ee390dc393ad8e80e60709b02d161d65de8b5165270644a4d 77036 libgupnp-1.0-3_0.13.2-1.1_i386.deb
 c873564fdba0895a7480b4e2ffed50c65005ade096bfe4824faf830a4fde827c 110520 libgupnp-1.0-dev_0.13.2-1.1_i386.deb
 8aa80d0ab4c2f28c11be4ed80ed754e14ede8262af21aaaab86233cb14c227ba 153910 libgupnp-1.0-dbg_0.13.2-1.1_i386.deb
Files: 
 cdf0f0b923d3b747a54efbb119e3e6c7 1176 libs optional gupnp_0.13.2-1.1.dsc
 a3d950638329730ce420ec3ffcc6340a 3219 libs optional gupnp_0.13.2-1.1.diff.gz
 3ebc7a2848acae4504c94ad32f95ac26 94882 doc optional libgupnp-doc_0.13.2-1.1_all.deb
 b3cddb95ca99dbb301844ba96f7d867d 77036 libs optional libgupnp-1.0-3_0.13.2-1.1_i386.deb
 68a3d1e6131587b55aa23ea96b7134fe 110520 libdevel optional libgupnp-1.0-dev_0.13.2-1.1_i386.deb
 3a52d6d684769161994420628ccb7ab0 153910 debug extra libgupnp-1.0-dbg_0.13.2-1.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkucleUACgkQnQYz4bYlCYWi1wCfasVpwdj6wETjse4VmoQrHmYX
PPIAoJO9wN+AlwOvaCgaozQwMlELrt5F
=q3RZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 May 2010 07:46:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 19:24:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.